local flux = require "flux"

function love.load()

  circle = { x = 400, y = 300, size = 0, color = { 255, 255, 255 } }

  -- Do looped tween sequence 4 times
  local count = 4
  local function sequence()
    -- Abort if we hit our repeat limit
    count = count - 1               -- Omit this to repeat forever
    if count == 0 then return end   -- and this
    -- Do tween
    flux.to(circle, 2, { size = 100 }):ease("elasticout")
      :after(circle.color, 1, { 255, 0, 0 })
      :after(circle.color, 1, { 0, 255, 0 })
      :after(circle.color, 1, { 0, 0, 255 })
      :after(circle, 1, { size = 0 }):ease("quadin")
      :oncomplete(sequence) -- Intialise the next iteration of the sequence
  end
  -- Intialise the first iteration of the sequence
  sequence()

end


function love.update(dt)
  flux.update(dt)
end


function love.draw()
  love.graphics.setColor(unpack(circle.color))
  love.graphics.circle("fill", circle.x, circle.y, circle.size)
end
